]> https://gitweb.dealii.org/ - dealii.git/commitdiff
Properly work around a bug in Suns Forte compilers. Exact description in the aclocal...
authorWolfgang Bangerth <bangerth@math.tamu.edu>
Mon, 25 Mar 2002 13:41:44 +0000 (13:41 +0000)
committerWolfgang Bangerth <bangerth@math.tamu.edu>
Mon, 25 Mar 2002 13:41:44 +0000 (13:41 +0000)
git-svn-id: https://svn.dealii.org/trunk@5611 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/aclocal.m4
deal.II/base/include/base/config.h.in
deal.II/base/include/base/quadrature.h
deal.II/base/include/base/tensor_function.h
deal.II/configure
deal.II/configure.in

index 36d4a7465461748ccb6d2d46baa337c4a72f8001..b033533590639e2d4764ac4964997c88c2b138b0 100644 (file)
@@ -1201,12 +1201,70 @@ AC_DEFUN(DEAL_II_CHECK_IBM_XLC_ERROR, dnl
     [
       AC_MSG_RESULT(yes. trying to work around)
       AC_DEFINE(XLC_WORK_AROUND_STD_BUG, 1, 
-                [Define if we have to work around a bug in IBM's xlC compiler])
+                [Define if we have to work around a bug in IBM's xlC compiler.
+See the aclocal.m4 file in the top-level directory for a description
+of this bug.])
     ])
 ])
 
 
 
+dnl -------------------------------------------------------------
+dnl Sun's Forte compiler (at least up to the Version 7 Early Access
+dnl release) have a problem with the following code, when compiling
+dnl with debug output:
+dnl 
+dnl /* ---------------------------------------------------------- */
+dnl /* Internal compiler error in abi2_mangler::entity_expression */
+dnl /* when compiled with -g.                                     */
+dnl template < int dim > struct T {
+dnl     typedef T<dim-1> SubT;
+dnl     T (SubT);
+dnl };
+dnl 
+dnl template <int dim> T<dim>::T (SubT) {};
+dnl 
+dnl template class T<3> ;
+dnl /* ---------------------------------------------------------- */
+dnl
+dnl The compiler gets an internal compiler error, so we work around
+dnl this problem by a really evil hack in the sources.
+dnl
+dnl Usage: DEAL_II_CHECK_LOCAL_TYPEDEF_COMP
+dnl
+dnl -------------------------------------------------------------
+AC_DEFUN(DEAL_II_CHECK_LOCAL_TYPEDEF_COMP, dnl
+[
+  AC_MSG_CHECKING(for local computed template typedef bug)
+  AC_LANG(C++)
+  CXXFLAGS="$CXXFLAGSG -g"
+  AC_TRY_COMPILE(
+    [
+       template < int dim > struct T {
+           typedef T<dim-1> SubT;
+           T (SubT);
+       };
+
+       template <int dim> T<dim>::T (SubT) {};
+
+       template class T<3> ;
+    ],
+    [],
+    [
+      AC_MSG_RESULT(no)
+    ],
+    [
+      AC_MSG_RESULT(yes. trying to work around)
+      AC_DEFINE(DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND, 1, 
+                [Define if we have to work around a bug in Sun's Forte compiler.
+See the aclocal.m4 file in the top-level directory for a description
+of this bug.])
+    ])
+])
+
+
+
+
 dnl -------------------------------------------------------------
 dnl gcc2.95 doesn't have the std::iterator class, but the standard
 dnl requires it, so check whether we have to work around it
index 9d0f585684312e77850643864ac06bd786c3de39..5e18c6b38e0dbd951903dff1ceb9c7bc4cc6e8dd 100644 (file)
    interface */
 #undef DEAL_II_HAVE_TECPLOT
 
+/* Define if we have to work around a bug in Sun's Forte compiler. See the
+   aclocal.m4 file in the top-level directory for a description of this bug.
+   */
+#undef DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND
+
 /* Major version number of deal.II */
 #undef DEAL_II_MAJOR
 
@@ -87,7 +92,9 @@
    classes (early gcc versions did not) */
 #undef HAVE_STD_STRINGSTREAM
 
-/* Define if we have to work around a bug in IBM's xlC compiler */
+/* Define if we have to work around a bug in IBM's xlC compiler. See the
+   aclocal.m4 file in the top-level directory for a description of this bug.
+   */
 #undef XLC_WORK_AROUND_STD_BUG
 
 #endif
index 191bc66448b5a517dd879b3bb40952bdfc34162f..7a6da658db4fa058e3381601d7e2e46d3103bf1e 100644 (file)
@@ -73,6 +73,7 @@ template <int dim>
 class Quadrature : public Subscriptor
 {
   public:
+#ifdef DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND
                                     /**
                                      * Define a typedef for a
                                      * quadrature that acts on an
@@ -80,8 +81,11 @@ class Quadrature : public Subscriptor
                                      * less. For cells, this would
                                      * then be a face quadrature.
                                      *
-                                     * Since Sun's Forte compiler has
-                                     * trouble (well, an internal
+                                     * The construct here is only
+                                     * used in case we hit a certain
+                                     * bug in Sun's Forte
+                                     * compiler. Since that compiler
+                                     * has trouble (well, an internal
                                      * compiler error) if we typedef
                                      * @p{typedef Quadrature<dim-1>
                                      * SubQuadrature}, we put this
@@ -107,15 +111,30 @@ class Quadrature : public Subscriptor
     {
        typedef Quadrature<dim2-1> type;
     };
-
+    
                                     /**
                                      * Typedef the kludge declared
                                      * above to a type in the class
                                      * in which we would like to use
                                      * it.
+                                     *
+                                     * This typedef is only used if
+                                     * the respective bug in the
+                                     * compiler is encountered,
+                                     * otherwise the proper typedef
+                                     * below is used.
                                      */
     typedef typename SubQuadratureHelper<dim>::type SubQuadrature;
-    
+#else
+                                    /**
+                                     * Define a typedef for a
+                                     * quadrature that acts on an
+                                     * object of one dimension
+                                     * less. For cells, this would
+                                     * then be a face quadrature.
+                                     */
+    typedef Quadrature<dim2-1> SubQuadrature;
+#endif    
     
                                     /**
                                      * Number of quadrature points.
@@ -328,6 +347,7 @@ template <int dim>
 class QProjector
 {
   public:
+#ifdef DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND
                                     /**
                                      * Define a typedef for a
                                      * quadrature that acts on an
@@ -335,8 +355,11 @@ class QProjector
                                      * less. For cells, this would
                                      * then be a face quadrature.
                                      *
-                                     * Since Sun's Forte compiler has
-                                     * trouble (well, an internal
+                                     * The construct here is only
+                                     * used in case we hit a certain
+                                     * bug in Sun's Forte
+                                     * compiler. Since that compiler
+                                     * has trouble (well, an internal
                                      * compiler error) if we typedef
                                      * @p{typedef Quadrature<dim-1>
                                      * SubQuadrature}, we put this
@@ -362,14 +385,30 @@ class QProjector
     {
        typedef Quadrature<dim2-1> type;
     };
-
+    
                                     /**
                                      * Typedef the kludge declared
                                      * above to a type in the class
                                      * in which we would like to use
                                      * it.
+                                     *
+                                     * This typedef is only used if
+                                     * the respective bug in the
+                                     * compiler is encountered,
+                                     * otherwise the proper typedef
+                                     * below is used.
                                      */
     typedef typename SubQuadratureHelper<dim>::type SubQuadrature;
+#else
+                                    /**
+                                     * Define a typedef for a
+                                     * quadrature that acts on an
+                                     * object of one dimension
+                                     * less. For cells, this would
+                                     * then be a face quadrature.
+                                     */
+    typedef Quadrature<dim2-1> SubQuadrature;
+#endif    
     
                                     /**
                                      * Compute the quadrature points
index 5b23bee0b4a65e882094ecc4b3b2bf01219a3d37..d39991890c5b340332bc1000cedbc06f0082613f 100644 (file)
@@ -61,7 +61,13 @@ class TensorFunction : public FunctionTime,
                                      * @p{gradient} functions.
                                      */
     typedef Tensor<rank,dim> value_type;
-    typedef Tensor<rank+1,dim> gradient_type;
+
+    template <int dim2>
+    struct GradientTypeHelper
+    {
+       typedef Tensor<rank+1,dim> type;
+    };
+    typedef typename GradientTypeHelper<dim>::type gradient_type;
     
                                     /**
                                      * Constructor. May take an
index 7e9205f294f6cd2a18f6cb69a283fdada7f6a84c..e806dda911602e6b9b7eb392d59ab84dc732cb4c 100755 (executable)
@@ -2306,7 +2306,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
       sun_workshop | sun_forte)
           CXXFLAGSG="$CXXFLAGS -DDEBUG"
-          CXXFLAGSO="$CXXFLAGS -fast"
+          CXXFLAGSO="$CXXFLAGS"
           CXXFLAGSPIC="-KPIC"
           ;;
 
@@ -2971,7 +2971,67 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:2974: checking for std::iterator class" >&5
+  echo "$as_me:2974: checking for local computed template typedef bug" >&5
+echo $ECHO_N "checking for local computed template typedef bug... $ECHO_C" >&6
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  CXXFLAGS="$CXXFLAGSG -g"
+  cat >conftest.$ac_ext <<_ACEOF
+#line 2984 "configure"
+#include "confdefs.h"
+
+       template < int dim > struct T {
+           typedef T<dim-1> SubT;
+           T (SubT);
+       };
+
+       template <int dim> T<dim>::T (SubT) {};
+
+       template class T<3> ;
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:3005: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:3008: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:3011: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:3014: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+      echo "$as_me:3017: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+
+      echo "$as_me:3024: result: yes. trying to work around" >&5
+echo "${ECHO_T}yes. trying to work around" >&6
+
+cat >>confdefs.h <<\EOF
+#define DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND 1
+EOF
+
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+
+  echo "$as_me:3034: checking for std::iterator class" >&5
 echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2981,7 +3041,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2984 "configure"
+#line 3044 "configure"
 #include "confdefs.h"
 
 #include <iterator>
@@ -2997,19 +3057,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3000: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3060: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3003: \$? = $ac_status" >&5
+  echo "$as_me:3063: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3006: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3066: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3009: \$? = $ac_status" >&5
+  echo "$as_me:3069: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3012: result: yes" >&5
+      echo "$as_me:3072: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3020,13 +3080,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3023: result: no" >&5
+      echo "$as_me:3083: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3029: checking for std::i/ostringstream classes" >&5
+  echo "$as_me:3089: checking for std::i/ostringstream classes" >&5
 echo $ECHO_N "checking for std::i/ostringstream classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3036,7 +3096,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3039 "configure"
+#line 3099 "configure"
 #include "confdefs.h"
 
 #include <sstream>
@@ -3053,19 +3113,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3056: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3116: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3059: \$? = $ac_status" >&5
+  echo "$as_me:3119: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3062: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3122: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3065: \$? = $ac_status" >&5
+  echo "$as_me:3125: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3068: result: yes" >&5
+      echo "$as_me:3128: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3076,13 +3136,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3079: result: no" >&5
+      echo "$as_me:3139: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3085: checking for std::numeric_limits classes" >&5
+  echo "$as_me:3145: checking for std::numeric_limits classes" >&5
 echo $ECHO_N "checking for std::numeric_limits classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3092,7 +3152,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3095 "configure"
+#line 3155 "configure"
 #include "confdefs.h"
 
 #include <limits>
@@ -3108,19 +3168,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3111: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3171: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3114: \$? = $ac_status" >&5
+  echo "$as_me:3174: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3117: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3177: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3120: \$? = $ac_status" >&5
+  echo "$as_me:3180: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3123: result: yes" >&5
+      echo "$as_me:3183: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3131,13 +3191,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3134: result: no" >&5
+      echo "$as_me:3194: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3140: checking for <ostream> header" >&5
+  echo "$as_me:3200: checking for <ostream> header" >&5
 echo $ECHO_N "checking for <ostream> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3147,7 +3207,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3150 "configure"
+#line 3210 "configure"
 #include "confdefs.h"
 
 #include <ostream>
@@ -3162,19 +3222,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3165: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3225: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3168: \$? = $ac_status" >&5
+  echo "$as_me:3228: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3171: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3231: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3174: \$? = $ac_status" >&5
+  echo "$as_me:3234: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3177: result: yes" >&5
+      echo "$as_me:3237: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3185,13 +3245,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3188: result: no" >&5
+      echo "$as_me:3248: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3194: checking for <iosfwd> header" >&5
+  echo "$as_me:3254: checking for <iosfwd> header" >&5
 echo $ECHO_N "checking for <iosfwd> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3201,7 +3261,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3204 "configure"
+#line 3264 "configure"
 #include "confdefs.h"
 
 #include <iosfwd>
@@ -3216,19 +3276,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3219: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3279: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3222: \$? = $ac_status" >&5
+  echo "$as_me:3282: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3225: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3285: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3228: \$? = $ac_status" >&5
+  echo "$as_me:3288: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3231: result: yes" >&5
+      echo "$as_me:3291: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3239,13 +3299,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3242: result: no" >&5
+      echo "$as_me:3302: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3248: checking for __builtin_expect" >&5
+  echo "$as_me:3308: checking for __builtin_expect" >&5
 echo $ECHO_N "checking for __builtin_expect... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3255,7 +3315,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3258 "configure"
+#line 3318 "configure"
 #include "confdefs.h"
 
        bool f();
@@ -3271,19 +3331,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3274: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3334: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3277: \$? = $ac_status" >&5
+  echo "$as_me:3337: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3280: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3340: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3283: \$? = $ac_status" >&5
+  echo "$as_me:3343: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3286: result: yes" >&5
+      echo "$as_me:3346: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3294,13 +3354,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3297: result: no" >&5
+      echo "$as_me:3357: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3303: checking whether lrand48 needs to be declared with -ansi" >&5
+  echo "$as_me:3363: checking whether lrand48 needs to be declared with -ansi" >&5
 echo $ECHO_N "checking whether lrand48 needs to be declared with -ansi... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3310,7 +3370,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3313 "configure"
+#line 3373 "configure"
 #include "confdefs.h"
 
 #include <vector>
@@ -3331,26 +3391,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3334: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3394: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3337: \$? = $ac_status" >&5
+  echo "$as_me:3397: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3340: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3400: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3343: \$? = $ac_status" >&5
+  echo "$as_me:3403: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3346: result: no" >&5
+      echo "$as_me:3406: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3353: result: yes" >&5
+      echo "$as_me:3413: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3360,7 +3420,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3363: checking whether getrusage is properly declared" >&5
+  echo "$as_me:3423: checking whether getrusage is properly declared" >&5
 echo $ECHO_N "checking whether getrusage is properly declared... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3369,7 +3429,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   cat >conftest.$ac_ext <<_ACEOF
-#line 3372 "configure"
+#line 3432 "configure"
 #include "confdefs.h"
 
 #include <sys/resource.h>
@@ -3386,26 +3446,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3389: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3449: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3392: \$? = $ac_status" >&5
+  echo "$as_me:3452: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3395: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3455: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3398: \$? = $ac_status" >&5
+  echo "$as_me:3458: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3401: result: yes" >&5
+       echo "$as_me:3461: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:3408: result: no" >&5
+       echo "$as_me:3468: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSG="$CXXFLAGSG -DNO_HAVE_GETRUSAGE"
        CXXFLAGSO="$CXXFLAGSO -DNO_HAVE_GETRUSAGE"
@@ -3413,7 +3473,7 @@ echo "${ECHO_T}no" >&6
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3416: checking whether isnan is declared with debug flags" >&5
+  echo "$as_me:3476: checking whether isnan is declared with debug flags" >&5
 echo $ECHO_N "checking whether isnan is declared with debug flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3424,7 +3484,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSG
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3427 "configure"
+#line 3487 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3441,19 +3501,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3444: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3504: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3447: \$? = $ac_status" >&5
+  echo "$as_me:3507: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3450: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3510: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3453: \$? = $ac_status" >&5
+  echo "$as_me:3513: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3456: result: yes" >&5
+       echo "$as_me:3516: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3466,7 +3526,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3469 "configure"
+#line 3529 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3483,19 +3543,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3486: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3546: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3489: \$? = $ac_status" >&5
+  echo "$as_me:3549: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3492: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3552: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3495: \$? = $ac_status" >&5
+  echo "$as_me:3555: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3498: result: yes" >&5
+         echo "$as_me:3558: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3512,7 +3572,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSG $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3515 "configure"
+#line 3575 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3529,16 +3589,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3532: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3592: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3535: \$? = $ac_status" >&5
+  echo "$as_me:3595: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3538: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3598: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3541: \$? = $ac_status" >&5
+  echo "$as_me:3601: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3551,7 +3611,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3554 "configure"
+#line 3614 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3568,16 +3628,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3571: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3631: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3574: \$? = $ac_status" >&5
+  echo "$as_me:3634: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3577: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3637: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3580: \$? = $ac_status" >&5
+  echo "$as_me:3640: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3591,16 +3651,16 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3594: result: no." >&5
+      echo "$as_me:3654: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3597: result: using $testflag" >&5
+            echo "$as_me:3657: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
     fi
   fi
 
-  echo "$as_me:3603: checking whether isnan is declared with optimized flags" >&5
+  echo "$as_me:3663: checking whether isnan is declared with optimized flags" >&5
 echo $ECHO_N "checking whether isnan is declared with optimized flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3611,7 +3671,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSO
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3614 "configure"
+#line 3674 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3628,19 +3688,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3631: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3691: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3634: \$? = $ac_status" >&5
+  echo "$as_me:3694: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3637: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3697: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3640: \$? = $ac_status" >&5
+  echo "$as_me:3700: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3643: result: yes" >&5
+       echo "$as_me:3703: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3653,7 +3713,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3656 "configure"
+#line 3716 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3670,19 +3730,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3673: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3733: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3676: \$? = $ac_status" >&5
+  echo "$as_me:3736: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3679: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3739: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3682: \$? = $ac_status" >&5
+  echo "$as_me:3742: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3685: result: yes" >&5
+         echo "$as_me:3745: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3699,7 +3759,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSO $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3702 "configure"
+#line 3762 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3716,16 +3776,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3719: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3779: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3722: \$? = $ac_status" >&5
+  echo "$as_me:3782: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3725: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3785: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3728: \$? = $ac_status" >&5
+  echo "$as_me:3788: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3738,7 +3798,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3741 "configure"
+#line 3801 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3755,16 +3815,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3758: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3818: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3761: \$? = $ac_status" >&5
+  echo "$as_me:3821: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3764: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3824: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3767: \$? = $ac_status" >&5
+  echo "$as_me:3827: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3778,10 +3838,10 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3781: result: no." >&5
+      echo "$as_me:3841: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3784: result: using $testflag" >&5
+            echo "$as_me:3844: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
     fi
@@ -3794,10 +3854,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSG
-  echo "$as_me:3797: checking for rand_r" >&5
+  echo "$as_me:3857: checking for rand_r" >&5
 echo $ECHO_N "checking for rand_r... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 3800 "configure"
+#line 3860 "configure"
 #include "confdefs.h"
 
 #include <cstdlib>
@@ -3814,19 +3874,19 @@ int i=rand_r(&i);
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3817: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3877: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3820: \$? = $ac_status" >&5
+  echo "$as_me:3880: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3823: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3883: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3826: \$? = $ac_status" >&5
+  echo "$as_me:3886: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3829: result: found" >&5
+         echo "$as_me:3889: result: found" >&5
 echo "${ECHO_T}found" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3837,7 +3897,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-         echo "$as_me:3840: result: no" >&5
+         echo "$as_me:3900: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
@@ -3846,13 +3906,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 for ac_func in gethostname
 do
 ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3849: checking for $ac_func" >&5
+echo "$as_me:3909: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 3855 "configure"
+#line 3915 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -3883,16 +3943,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:3886: \"$ac_link\"") >&5
+if { (eval echo "$as_me:3946: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:3889: \$? = $ac_status" >&5
+  echo "$as_me:3949: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:3892: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3952: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3895: \$? = $ac_status" >&5
+  echo "$as_me:3955: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$ac_ac_var=yes"
 else
@@ -3902,7 +3962,7 @@ eval "$ac_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:3905: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:3965: result: `eval echo '${'$ac_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
 if test `eval echo '${'$ac_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -3912,16 +3972,16 @@ EOF
 fi
 done
 
-echo "$as_me:3915: result: " >&5
+echo "$as_me:3975: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:3917: result: ----------------- configuring F77 compilers -----------------" >&5
+echo "$as_me:3977: result: ----------------- configuring F77 compilers -----------------" >&5
 echo "${ECHO_T}----------------- configuring F77 compilers -----------------" >&6
 
 for ac_prog in f77 g77
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:3924: checking for $ac_word" >&5
+echo "$as_me:3984: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3938,7 +3998,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_F77="$ac_dir/$ac_word"
-   echo "$as_me:3941: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4001: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -3949,10 +4009,10 @@ fi
 F77=$ac_cv_path_F77
 
 if test -n "$F77"; then
-  echo "$as_me:3952: result: $F77" >&5
+  echo "$as_me:4012: result: $F77" >&5
 echo "${ECHO_T}$F77" >&6
 else
-  echo "$as_me:3955: result: no" >&5
+  echo "$as_me:4015: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -3967,49 +4027,49 @@ if test "x$F77" != "x" ; then
             G77_VERSION_STRING="`($F77 -v 2>&1) | grep \"gcc version\"`"
       case "$G77_VERSION_STRING" in
         *"egcs-1.1"*)
-            echo "$as_me:3970: result: F77 compiler is egcs-1.1" >&5
+            echo "$as_me:4030: result: F77 compiler is egcs-1.1" >&5
 echo "${ECHO_T}F77 compiler is egcs-1.1" >&6
             F77_VERSION=egcs1.1
             ;;
         *2.95*)
-            echo "$as_me:3975: result: F77 compiler is gcc-2.95" >&5
+            echo "$as_me:4035: result: F77 compiler is gcc-2.95" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.95" >&6
          F77_VERSION=gcc2.95
          ;;
         *2.96*)
-         echo "$as_me:3980: result: F77 compiler is gcc-2.96" >&5
+         echo "$as_me:4040: result: F77 compiler is gcc-2.96" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.96" >&6
          F77_VERSION=gcc2.96
          ;;
         *2.97*)
-         echo "$as_me:3985: result: F77 compiler is gcc-2.97" >&5
+         echo "$as_me:4045: result: F77 compiler is gcc-2.97" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.97" >&6
          F77_VERSION=gcc2.97
          ;;
         *3.0*)
-         echo "$as_me:3990: result: F77 compiler is gcc-3.0" >&5
+         echo "$as_me:4050: result: F77 compiler is gcc-3.0" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.0" >&6
          F77_VERSION=gcc3.0
          ;;
         *3.1*)
-         echo "$as_me:3995: result: F77 compiler is gcc-3.1" >&5
+         echo "$as_me:4055: result: F77 compiler is gcc-3.1" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.1" >&6
          F77_VERSION=gcc3.1
          ;;
         *3.2*)
-         echo "$as_me:4000: result: F77 compiler is gcc-3.2" >&5
+         echo "$as_me:4060: result: F77 compiler is gcc-3.2" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.2" >&6
          F77_VERSION=gcc3.2
          ;;
         *2.4* | *2.5* | *2.6* | *2.7* | *2.8*)
-                         echo "$as_me:4005: result: F77 compiler is $G77_VERSION_STRING" >&5
+                         echo "$as_me:4065: result: F77 compiler is $G77_VERSION_STRING" >&5
 echo "${ECHO_T}F77 compiler is $G77_VERSION_STRING" >&6
-         { { echo "$as_me:4007: error: F77 compiler is not supported" >&5
+         { { echo "$as_me:4067: error: F77 compiler is not supported" >&5
 echo "$as_me: error: F77 compiler is not supported" >&2;}
    { (exit 1); exit 1; }; }
          ;;
         *)
-         echo "$as_me:4012: result: F77 compiler is unknown but accepted gcc version" >&5
+         echo "$as_me:4072: result: F77 compiler is unknown but accepted gcc version" >&5
 echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
          F77_VERSION=gcc-other
          ;;
@@ -4020,7 +4080,7 @@ echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
             if test -n "`echo $F77_VERSION_STRING | grep \"XL Fortran for AIX\"`" ; then
 
                 F77_VERSION=AIXF77
-        echo "$as_me:4023: result: F77 compiler is AIX Fortran77" >&5
+        echo "$as_me:4083: result: F77 compiler is AIX Fortran77" >&5
 echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
 
       else
@@ -4028,7 +4088,7 @@ echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
                         F77_VERSION_STRING=`($F77 -V 2>&1)`
         if test -n "`echo $F77_VERSION_STRING | grep \"WorkShop Compilers\"`" ; then
 
-                 echo "$as_me:4031: result: F77 compiler is Sun WorkShop f77" >&5
+                 echo "$as_me:4091: result: F77 compiler is Sun WorkShop f77" >&5
 echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
          F77_VERSION="SunF77"
 
@@ -4036,14 +4096,14 @@ echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
 
                               F77_VERSION_STRING=`($F77 -version 2>&1)`
          if test -n "`echo $F77_VERSION_STRING | grep MIPSpro`" ; then
-           echo "$as_me:4039: result: F77 compiler is MIPSpro f77" >&5
+           echo "$as_me:4099: result: F77 compiler is MIPSpro f77" >&5
 echo "${ECHO_T}F77 compiler is MIPSpro f77" >&6
            F77_VERSION="MIPSproF77"
 
           else
 
                        F77_VERSION=
-           echo "$as_me:4046: result: F77 compiler is unkown. no flags set!" >&5
+           echo "$as_me:4106: result: F77 compiler is unkown. no flags set!" >&5
 echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
           fi
         fi
@@ -4089,7 +4149,7 @@ echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
        ;;
 
     *)
-       { { echo "$as_me:4092: error: No compiler options for F77 compiler
+       { { echo "$as_me:4152: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&5
 echo "$as_me: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&2;}
@@ -4099,9 +4159,9 @@ echo "$as_me: error: No compiler options for F77 compiler
 
 fi
 
-echo "$as_me:4102: result: " >&5
+echo "$as_me:4162: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4104: result: -------------- configuring shared/static libs ---------------" >&5
+echo "$as_me:4164: result: -------------- configuring shared/static libs ---------------" >&5
 echo "${ECHO_T}-------------- configuring shared/static libs ---------------" >&6
 
 # Check whether --enable-shared or --disable-shared was given.
@@ -4114,7 +4174,7 @@ fi;
 
 case "$target" in
    *-aix* | alpha*-linux* | alpha*-osf45* | *cygwin )
-          { echo "$as_me:4117: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
+          { echo "$as_me:4177: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
 echo "$as_me: WARNING: Shared libraries not supported on $target. Using static libs instead" >&2;}
           enableshared=no
           ;;
@@ -4139,11 +4199,11 @@ fi;
     for i in $disable_compat ; do
     case $i in
       mapping)
-        echo "$as_me:4142: result: Disabling backward compatibility feature: \"$i\"" >&5
+        echo "$as_me:4202: result: Disabling backward compatibility feature: \"$i\"" >&5
 echo "${ECHO_T}Disabling backward compatibility feature: \"$i\"" >&6
         ;;
       *)
-        { { echo "$as_me:4146: error: Backward compatibility feature \"$i\" unknown" >&5
+        { { echo "$as_me:4206: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
         ;;
@@ -4168,7 +4228,7 @@ EOF
        ;;
 
       *)
-       { { echo "$as_me:4171: error: Backward compatibility feature \"$i\" unknown" >&5
+       { { echo "$as_me:4231: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -4187,7 +4247,7 @@ else
     fi
 fi;
 if test "$enablemultigrid" = yes ; then
-   echo "$as_me:4190: result: configuring multigrid" >&5
+   echo "$as_me:4250: result: configuring multigrid" >&5
 echo "${ECHO_T}configuring multigrid" >&6
 
 cat >>confdefs.h <<\EOF
@@ -4196,19 +4256,19 @@ EOF
 
 fi
 
-echo "$as_me:4199: result: " >&5
+echo "$as_me:4259: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4201: result: ---------------- configuring additional libs ----------------" >&5
+echo "$as_me:4261: result: ---------------- configuring additional libs ----------------" >&5
 echo "${ECHO_T}---------------- configuring additional libs ----------------" >&6
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4205: checking for $TECHOME/lib/tecio.a" >&5
+echo "$as_me:4265: checking for $TECHOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TECHOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4211: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4271: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/lib/tecio.a"; then
@@ -4217,20 +4277,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4220: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4280: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TECHOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4227: checking for $TEC80HOME/lib/tecio.a" >&5
+echo "$as_me:4287: checking for $TEC80HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC80HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4233: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4293: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/lib/tecio.a"; then
@@ -4239,20 +4299,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4242: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4302: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC80HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4249: checking for $TEC90HOME/lib/tecio.a" >&5
+echo "$as_me:4309: checking for $TEC90HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC90HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4255: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4315: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/lib/tecio.a"; then
@@ -4261,20 +4321,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4264: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4324: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC90HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4271: checking for $TECHOME/include/TECIO.h" >&5
+echo "$as_me:4331: checking for $TECHOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TECHOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4277: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4337: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/include/TECIO.h"; then
@@ -4283,20 +4343,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4286: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4346: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TECHOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4293: checking for $TEC80HOME/include/TECIO.h" >&5
+echo "$as_me:4353: checking for $TEC80HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC80HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4299: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4359: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/include/TECIO.h"; then
@@ -4305,20 +4365,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4308: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4368: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC80HOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4315: checking for $TEC90HOME/include/TECIO.h" >&5
+echo "$as_me:4375: checking for $TEC90HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC90HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4321: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4381: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/include/TECIO.h"; then
@@ -4327,7 +4387,7 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4330: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4390: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC90HOME/include
@@ -4342,7 +4402,7 @@ EOF
 
   fi
 
-  echo "$as_me:4345: checking for HSL subroutines" >&5
+  echo "$as_me:4405: checking for HSL subroutines" >&5
 echo $ECHO_N "checking for HSL subroutines... $ECHO_C" >&6
   hsl_subroutines=""
   if test -r contrib/hsl/source/ma27.f ; then
@@ -4365,18 +4425,18 @@ EOF
   fi
 
   if test "x$hsl_subroutines" != "x" ; then
-    echo "$as_me:4368: result: $hsl_subroutines" >&5
+    echo "$as_me:4428: result: $hsl_subroutines" >&5
 echo "${ECHO_T}$hsl_subroutines" >&6
     USE_CONTRIB_HSL=yes
   else
-    echo "$as_me:4372: result: none found" >&5
+    echo "$as_me:4432: result: none found" >&5
 echo "${ECHO_T}none found" >&6
     USE_CONTRIB_HSL=no
   fi
 
-echo "$as_me:4377: result: " >&5
+echo "$as_me:4437: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4379: result: ------------------ checking compiler flags ------------------" >&5
+echo "$as_me:4439: result: ------------------ checking compiler flags ------------------" >&5
 echo "${ECHO_T}------------------ checking compiler flags ------------------" >&6
 
   ac_ext=cc
@@ -4386,10 +4446,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
-  echo "$as_me:4389: checking for consistency of CXXFLAGSG flags" >&5
+  echo "$as_me:4449: checking for consistency of CXXFLAGSG flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSG flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4392 "configure"
+#line 4452 "configure"
 #include "confdefs.h"
 
 int
@@ -4401,26 +4461,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4404: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4464: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4407: \$? = $ac_status" >&5
+  echo "$as_me:4467: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4410: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4470: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4413: \$? = $ac_status" >&5
+  echo "$as_me:4473: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4416: result: yes" >&5
+      echo "$as_me:4476: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4423: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4483: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4429,10 +4489,10 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
   CXXFLAGS="$CXXFLAGSO"
-  echo "$as_me:4432: checking for consistency of CXXFLAGSO flags" >&5
+  echo "$as_me:4492: checking for consistency of CXXFLAGSO flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSO flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4435 "configure"
+#line 4495 "configure"
 #include "confdefs.h"
 
 int
@@ -4444,26 +4504,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4447: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4507: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4450: \$? = $ac_status" >&5
+  echo "$as_me:4510: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4453: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4513: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4456: \$? = $ac_status" >&5
+  echo "$as_me:4516: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4459: result: yes" >&5
+      echo "$as_me:4519: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4466: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4526: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4471,9 +4531,9 @@ echo "$as_me: error: invalid combination of flags!" >&2;}
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-echo "$as_me:4474: result: " >&5
+echo "$as_me:4534: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4476: result: ---------------- configuring other programs -----------------" >&5
+echo "$as_me:4536: result: ---------------- configuring other programs -----------------" >&5
 echo "${ECHO_T}---------------- configuring other programs -----------------" >&6
 
 # Check whether --with-kdoc or --without-kdoc was given.
@@ -4483,17 +4543,17 @@ if test "${with_kdoc+set}" = set; then
 else
   kdocdir=${DEAL2_DIR}/contrib/kdoc/bin
 fi;
-  echo "$as_me:4486: checking for kdoc" >&5
+  echo "$as_me:4546: checking for kdoc" >&5
 echo $ECHO_N "checking for kdoc... $ECHO_C" >&6
 
     if test "$kdocdir" != ${DEAL2_DIR}/contrib/kdoc/bin ; then
     if test -r $kdocdir/kdoc ; then
-      echo "$as_me:4491: result: found" >&5
+      echo "$as_me:4551: result: found" >&5
 echo "${ECHO_T}found" >&6
     else
-      echo "$as_me:4494: result: not found" >&5
+      echo "$as_me:4554: result: not found" >&5
 echo "${ECHO_T}not found" >&6
-      { { echo "$as_me:4496: error: Invalid kdoc path $kdocdir/kdoc" >&5
+      { { echo "$as_me:4556: error: Invalid kdoc path $kdocdir/kdoc" >&5
 echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
    { (exit 1); exit 1; }; }
     fi
@@ -4505,7 +4565,7 @@ echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
     fi
   else
     kdocversion=`cat ${DEAL2_DIR}/contrib/kdoc/src/Version`
-    echo "$as_me:4508: result: using default version $kdocversion" >&5
+    echo "$as_me:4568: result: using default version $kdocversion" >&5
 echo "${ECHO_T}using default version $kdocversion" >&6
   fi
 
@@ -4519,7 +4579,7 @@ fi;
   if test "$docxx" = to-be-determined ; then
     # Extract the first word of ""doc++"", so it can be a program name with args.
 set dummy "doc++"; ac_word=$2
-echo "$as_me:4522: checking for $ac_word" >&5
+echo "$as_me:4582: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_docxx+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4536,7 +4596,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_docxx="$ac_dir/$ac_word"
-   echo "$as_me:4539: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4599: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4547,21 +4607,21 @@ fi
 docxx=$ac_cv_path_docxx
 
 if test -n "$docxx"; then
-  echo "$as_me:4550: result: $docxx" >&5
+  echo "$as_me:4610: result: $docxx" >&5
 echo "${ECHO_T}$docxx" >&6
 else
-  echo "$as_me:4553: result: no" >&5
+  echo "$as_me:4613: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   else
-    echo "$as_me:4558: checking for doc++" >&5
+    echo "$as_me:4618: checking for doc++" >&5
 echo $ECHO_N "checking for doc++... $ECHO_C" >&6
     if test -x "$docxx" ; then
-      echo "$as_me:4561: result: yes" >&5
+      echo "$as_me:4621: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:4564: result: no" >&5
+      echo "$as_me:4624: result: no" >&5
 echo "${ECHO_T}no" >&6
       docxx=
     fi
@@ -4569,7 +4629,7 @@ echo "${ECHO_T}no" >&6
 
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-echo "$as_me:4572: checking for $ac_word" >&5
+echo "$as_me:4632: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_PERL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4586,7 +4646,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_PERL="$ac_dir/$ac_word"
-   echo "$as_me:4589: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4649: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4597,18 +4657,18 @@ fi
 PERL=$ac_cv_path_PERL
 
 if test -n "$PERL"; then
-  echo "$as_me:4600: result: $PERL" >&5
+  echo "$as_me:4660: result: $PERL" >&5
 echo "${ECHO_T}$PERL" >&6
 else
-  echo "$as_me:4603: result: no" >&5
+  echo "$as_me:4663: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 subdirs="$subdirs contrib tests"
 
-echo "$as_me:4609: result: " >&5
+echo "$as_me:4669: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4611: result: --------------------- generating output ---------------------" >&5
+echo "$as_me:4671: result: --------------------- generating output ---------------------" >&5
 echo "${ECHO_T}--------------------- generating output ---------------------" >&6
 
 ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
@@ -4637,7 +4697,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4640: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4700: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -4809,7 +4869,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:4812: error: ambiguous option: $1
+    { { echo "$as_me:4872: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -4836,12 +4896,12 @@ Try \`$0 --help' for more information." >&2;}
   'base/include/base/config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS base/include/base/config.h" ;;
 
   # This is an error.
-  -*) { { echo "$as_me:4839: error: unrecognized option: $1
+  -*) { { echo "$as_me:4899: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
    { (exit 1); exit 1; }; } ;;
-  *) { { echo "$as_me:4844: error: invalid argument: $1" >&5
+  *) { { echo "$as_me:4904: error: invalid argument: $1" >&5
 echo "$as_me: error: invalid argument: $1" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -5093,7 +5153,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:5096: creating $ac_file" >&5
+    { echo "$as_me:5156: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -5111,7 +5171,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5114: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5174: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5124,7 +5184,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5127: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5187: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5184,7 +5244,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:5187: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:5247: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -5195,7 +5255,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5198: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5258: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5208,7 +5268,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5211: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5271: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5325,7 +5385,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:5328: $ac_file is unchanged" >&5
+      { echo "$as_me:5388: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5429,7 +5489,7 @@ if test "$no_recursion" != yes; then
     # parts of a large source tree are present.
     test -d $srcdir/$ac_subdir || continue
 
-    { echo "$as_me:5432: configuring in $ac_subdir" >&5
+    { echo "$as_me:5492: configuring in $ac_subdir" >&5
 echo "$as_me: configuring in $ac_subdir" >&6;}
     case $srcdir in
     .) ;;
@@ -5451,7 +5511,7 @@ done; }
 
        if test -d ./$ac_subdir; then :;
        else
-         { { echo "$as_me:5454: error: cannot create \`pwd\`/$ac_subdir" >&5
+         { { echo "$as_me:5514: error: cannot create \`pwd\`/$ac_subdir" >&5
 echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
        fi
@@ -5482,7 +5542,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
     elif test -f $ac_sub_srcdir/configure.in; then
       ac_sub_configure=$ac_configure
     else
-      { echo "$as_me:5485: WARNING: no configuration information is in $ac_subdir" >&5
+      { echo "$as_me:5545: WARNING: no configuration information is in $ac_subdir" >&5
 echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
       ac_sub_configure=
     fi
@@ -5496,12 +5556,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
         ac_sub_cache_file=$ac_dots$cache_file ;;
       esac
 
-      { echo "$as_me:5499: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+      { echo "$as_me:5559: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
       # The eval makes quoting arguments work.
       eval $ac_sub_configure $ac_sub_configure_args \
            --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
-        { { echo "$as_me:5504: error: $ac_sub_configure failed for $ac_subdir" >&5
+        { { echo "$as_me:5564: error: $ac_sub_configure failed for $ac_subdir" >&5
 echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
     fi
index 720871c26d392015ff327aee67c713c9660e4089..53fa3689d2f6c314d788bda49b39da02923812a5 100644 (file)
@@ -150,6 +150,7 @@ DEAL_II_CHECK_ASSERT_THROW(debug, $CXXFLAGSG,
 DEAL_II_CHECK_ASSERT_THROW(optimized, $CXXFLAGSO, 
                            [CXXFLAGSO="-DDISABLE_ASSERT_THROW $CXXFLAGSO"])
 DEAL_II_CHECK_IBM_XLC_ERROR
+DEAL_II_CHECK_LOCAL_TYPEDEF_COMP
 DEAL_II_HAVE_STD_ITERATOR
 DEAL_II_HAVE_STD_STRINGSTREAM
 DEAL_II_HAVE_STD_NUMERIC_LIMITS

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.